Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(39)

Unified Diff: build/linux/sysroot_scripts/sysroot-creator-test.sh

Issue 2101243005: Add a snapshot of flutter/engine/src/build to our sdk (Closed) Base URL: git@github.com:dart-lang/sdk.git@master
Patch Set: add README.dart Created 4 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: build/linux/sysroot_scripts/sysroot-creator-test.sh
diff --git a/build/linux/sysroot_scripts/sysroot-creator-test.sh b/build/linux/sysroot_scripts/sysroot-creator-test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..b346bb70885c2a399b714c2200e7934b2f11f689
--- /dev/null
+++ b/build/linux/sysroot_scripts/sysroot-creator-test.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Copyright 2014 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+#
+# Rudimentry test suite for sysroot-creator.
+
+SCRIPT_DIR=$(dirname $0)
+
+set -o errexit
+
+TestUpdateAllLists() {
+ echo "[ RUN ] TestUpdateAllLists"
+ "$SCRIPT_DIR/sysroot-creator-trusty.sh" UpdatePackageListsAmd64
+ "$SCRIPT_DIR/sysroot-creator-trusty.sh" UpdatePackageListsI386
+ "$SCRIPT_DIR/sysroot-creator-trusty.sh" UpdatePackageListsARM
+ "$SCRIPT_DIR/sysroot-creator-wheezy.sh" UpdatePackageListsAmd64
+ "$SCRIPT_DIR/sysroot-creator-wheezy.sh" UpdatePackageListsI386
+ "$SCRIPT_DIR/sysroot-creator-wheezy.sh" UpdatePackageListsARM
+ echo "[ OK ]"
+}
+
+TestUpdateAllLists
« no previous file with comments | « build/linux/sysroot_scripts/sysroot-creator.sh ('k') | build/linux/sysroot_scripts/sysroot-creator-trusty.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698